<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/CameraShake.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/de4/_camera_shake_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CameraShake.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/de4/_camera_shake_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d4b/class_camera_shake.html">CameraShake</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#aaca1eab06c6353e01d502dfe7bb72423">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#aaca1eab06c6353e01d502dfe7bb72423">MIN_PLAYER_DISTANCE</a> = 40;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">    5</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#af8123ca68112b7fb4a697cef1ad85e01">    6</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#af8123ca68112b7fb4a697cef1ad85e01">m_RadiusDecaySpeed</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">    7</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">m_RandomAngle</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#a0b3f58283081326b1fba61f22c3e125e">    8</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a0b3f58283081326b1fba61f22c3e125e">m_Time</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#aecd93063c5820d24009b17650d2d0c2c">    9</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#aecd93063c5820d24009b17650d2d0c2c">m_InitLR</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#af2d9ab6110570eb196f333556acbaec6">   10</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#af2d9ab6110570eb196f333556acbaec6">m_InitUD</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#a7165c5114631244591ef44c9a1b0ce45">   11</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a7165c5114631244591ef44c9a1b0ce45">m_ToDelete</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">   12</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">m_Smoothness</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#aec2bf4e54f62eb3d71f5b567cbac7c79">   13</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#aec2bf4e54f62eb3d71f5b567cbac7c79">m_StregthFactor</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#a2290b9779ab549f9e97303144a143aff">   14</a></span>    <a class="code hl_class" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a2290b9779ab549f9e97303144a143aff">m_Player</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#a3f89b8ddd552c5b51d5e09026c5b8a81">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d4b/class_camera_shake.html#a3f89b8ddd552c5b51d5e09026c5b8a81">~CameraShake</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a2290b9779ab549f9e97303144a143aff">m_Player</a>)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a2290b9779ab549f9e97303144a143aff">m_Player</a>.GetAimingModel().SetCamShakeValues(0, 0);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#af23fbd4a3b8841ae5619b6542bbe5bc1">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d4b/class_camera_shake.html#af23fbd4a3b8841ae5619b6542bbe5bc1">CameraShake</a>( <span class="keywordtype">float</span> strength_factor, <span class="keywordtype">float</span> radius, <span class="keywordtype">float</span> smoothness, <span class="keywordtype">float</span> radius_decay_speed )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">        </span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">        Print(&quot;-----------ON CREATE------------&quot;);</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">        Print(camera_offset);</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">        Print(&quot;-----------ON CREATE END------------&quot;);</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">        */</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="comment">//m_Player = DayZPlayerImplement.Cast(player);</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a2290b9779ab549f9e97303144a143aff">m_Player</a> = <a class="code hl_class" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>());</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#aec2bf4e54f62eb3d71f5b567cbac7c79">m_StregthFactor</a> = strength_factor;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="comment">//m_InitLR = lr_angle;</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="comment">//m_InitUD = ud_angle;</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> = radius;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#af8123ca68112b7fb4a697cef1ad85e01">m_RadiusDecaySpeed</a> = radius_decay_speed;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">m_Smoothness</a> = smoothness;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d9/d4b/class_camera_shake.html#af5663261dcfdd2bbbb6e21b0c1e5493f">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d4b/class_camera_shake.html#af5663261dcfdd2bbbb6e21b0c1e5493f">Update</a>(<span class="keywordtype">float</span> delta_time, out <span class="keywordtype">float</span> x_axis, out <span class="keywordtype">float</span> y_axis)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a7165c5114631244591ef44c9a1b0ce45">m_ToDelete</a>)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keyword">delete</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> -= delta_time * <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#af8123ca68112b7fb4a697cef1ad85e01">m_RadiusDecaySpeed</a>; <span class="comment">//diminish radius each frame</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">m_RandomAngle</a> &gt;= 0 )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">m_RandomAngle</a> = -<a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> + (<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">RandomFloat</a>( -<a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> / <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">m_Smoothness</a>, <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> / <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">m_Smoothness</a>));</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">m_RandomAngle</a> = <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> + (<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">RandomFloat</a>( -<a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> / <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">m_Smoothness</a>, <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> / <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">m_Smoothness</a>));</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        x_axis = <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">m_RandomAngle</a> * <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#aec2bf4e54f62eb3d71f5b567cbac7c79">m_StregthFactor</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        y_axis = <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">m_RandomAngle</a> * <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#aec2bf4e54f62eb3d71f5b567cbac7c79">m_StregthFactor</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="comment">//Print(x_axis);</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="comment">//Print(y_axis);</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">m_Radius</a> &lt; 0.01 )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <a class="code hl_variable" href="../../d9/d4b/class_camera_shake.html#a7165c5114631244591ef44c9a1b0ce45">m_ToDelete</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>}</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="ttc" id="a_modifier_base_8c_html_aaf6ee4d1f067be1038b7a662af6af1bf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00047">ModifierBase.c:47</a></div></div>
<div class="ttc" id="aclass_camera_shake_html"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html">CameraShake</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00001">CameraShake.c:2</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_a0b3f58283081326b1fba61f22c3e125e"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#a0b3f58283081326b1fba61f22c3e125e">CameraShake::m_Time</a></div><div class="ttdeci">float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00008">CameraShake.c:8</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_a10df3c946a957446fe81c1631c860067"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#a10df3c946a957446fe81c1631c860067">CameraShake::m_RandomAngle</a></div><div class="ttdeci">float m_RandomAngle</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00007">CameraShake.c:7</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_a2290b9779ab549f9e97303144a143aff"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#a2290b9779ab549f9e97303144a143aff">CameraShake::m_Player</a></div><div class="ttdeci">DayZPlayerImplement m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00014">CameraShake.c:14</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_a3f89b8ddd552c5b51d5e09026c5b8a81"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#a3f89b8ddd552c5b51d5e09026c5b8a81">CameraShake::~CameraShake</a></div><div class="ttdeci">void ~CameraShake()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00016">CameraShake.c:16</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_a467854da27d00585272504d079716c00"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#a467854da27d00585272504d079716c00">CameraShake::m_Radius</a></div><div class="ttdeci">float m_Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00005">CameraShake.c:5</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_a7165c5114631244591ef44c9a1b0ce45"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#a7165c5114631244591ef44c9a1b0ce45">CameraShake::m_ToDelete</a></div><div class="ttdeci">bool m_ToDelete</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00011">CameraShake.c:11</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_a967b166e397de777ca42ac4e361d3c2f"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#a967b166e397de777ca42ac4e361d3c2f">CameraShake::m_Smoothness</a></div><div class="ttdeci">float m_Smoothness</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00012">CameraShake.c:12</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_aaca1eab06c6353e01d502dfe7bb72423"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#aaca1eab06c6353e01d502dfe7bb72423">CameraShake::MIN_PLAYER_DISTANCE</a></div><div class="ttdeci">const float MIN_PLAYER_DISTANCE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00003">CameraShake.c:3</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_aec2bf4e54f62eb3d71f5b567cbac7c79"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#aec2bf4e54f62eb3d71f5b567cbac7c79">CameraShake::m_StregthFactor</a></div><div class="ttdeci">float m_StregthFactor</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00013">CameraShake.c:13</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_aecd93063c5820d24009b17650d2d0c2c"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#aecd93063c5820d24009b17650d2d0c2c">CameraShake::m_InitLR</a></div><div class="ttdeci">float m_InitLR</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00009">CameraShake.c:9</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_af23fbd4a3b8841ae5619b6542bbe5bc1"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#af23fbd4a3b8841ae5619b6542bbe5bc1">CameraShake::CameraShake</a></div><div class="ttdeci">void CameraShake(float strength_factor, float radius, float smoothness, float radius_decay_speed)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00023">CameraShake.c:23</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_af2d9ab6110570eb196f333556acbaec6"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#af2d9ab6110570eb196f333556acbaec6">CameraShake::m_InitUD</a></div><div class="ttdeci">float m_InitUD</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00010">CameraShake.c:10</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_af5663261dcfdd2bbbb6e21b0c1e5493f"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#af5663261dcfdd2bbbb6e21b0c1e5493f">CameraShake::Update</a></div><div class="ttdeci">void Update(float delta_time, out float x_axis, out float y_axis)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00041">CameraShake.c:41</a></div></div>
<div class="ttc" id="aclass_camera_shake_html_af8123ca68112b7fb4a697cef1ad85e01"><div class="ttname"><a href="../../d9/d4b/class_camera_shake.html#af8123ca68112b7fb4a697cef1ad85e01">CameraShake::m_RadiusDecaySpeed</a></div><div class="ttdeci">float m_RadiusDecaySpeed</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de4/_camera_shake_8c_source.html#l00006">CameraShake.c:6</a></div></div>
<div class="ttc" id="aclass_day_z_player_implement_html"><div class="ttname"><a href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dee/_man_base_8c_source.html#l00001">ManBase.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga892ecb1375c9b373969273223a5841f3"><div class="ttname"><a href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">Math::RandomFloat</a></div><div class="ttdeci">static proto float RandomFloat(float min, float max)</div><div class="ttdoc">Returns a random float number between and min[inclusive] and max[exclusive].</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../d5/de4/_camera_shake_8c.html">CameraShake.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
